import 'react';
import PropTypes from 'prop-types';

var row = PropTypes.object;

var rows = PropTypes.arrayOf(row);

var column = PropTypes.shape({
  label: PropTypes.string.isRequired,
  cell: PropTypes.func.isRequired,
  columnHover: PropTypes.bool,
  align: PropTypes.string,
  sortProps: PropTypes.object
});

var columns = PropTypes.arrayOf(column);

export default {
  row: row,
  rows: rows,
  column: column,
  columns: columns
};