'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const row = _propTypes2.default.object;

const rows = _propTypes2.default.arrayOf(row);

const column = _propTypes2.default.shape({
  label: _propTypes2.default.string.isRequired,
  cell: _propTypes2.default.func.isRequired,
  columnHover: _propTypes2.default.bool,
  align: _propTypes2.default.string,
  sortProps: _propTypes2.default.object
});

const columns = _propTypes2.default.arrayOf(column);

exports.default = {
  row,
  rows,
  column,
  columns
};